Package org.apache.felix.http.base.internal.dispatch

## Class DispatcherServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.http.base.internal.dispatch.DispatcherServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

    public class DispatcherServlet
    extends javax.servlet.http.HttpServlet

The dispatcher servlet is registered in the container. It is dispatching requests to the http implementation. It does not start the http service, this needs to be done through the `HttpServiceController`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DispatcherServlet​(Dispatcher controller)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `service​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DispatcherServlet

    public DispatcherServlet​(Dispatcher controller)

### Method Detail

#### service

    protected void service​(javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse res)
                    throws javax.servlet.ServletException,
                           IOException

Overrides:
  `service` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`